#!/bin/sh

REPO=https://github.com/KhronosGroup/Vulkan-Headers.git

if [ -n $1 ]; then
  VERSION=$1
else
  VERSION=`dpkg-parsechangelog -S Version|sed 's/-.*//'`
fi

# clean old checkout
git rm -rf vulkan-headers

git clone "$REPO" vulkan-headers
(
    cd vulkan-headers
    if git tag | grep -F "sdk-$VERSION"; then
        git checkout "sdk-$VERSION"
    else
        git checkout "v$VERSION"
    fi
)
rm -rf vulkan-headers/.git

git add -f vulkan-headers
git commit -m "Refresh vulkan-headers to $VERSION"
